/** 4.8 Lauflicht, Geschwindigkeit mittels Poti regeln. 
*/
#include "mbed.h"

DigitalOut led1( D10 );
DigitalOut led2( D11 );
DigitalOut led3( D12 );
DigitalOut led4( D13 );

AnalogIn poti ( A0 );

int main()
{
    while (true) 
    {
        for ( int i = 0; i < 5; i++ )
        {
            switch  ( i )
            {
                case   0:
                    led1 = led2 = led3 = led4 = 0;
                    break;
                case   1:
                    led1 = 1;
                    break;
                case   2:
                    led1 = 0;
                    led2 = 1;
                    break;
                case 3:  
                    led2 = 0;
                    led3 = 1;
                    break;
                case 4:
                    led3 = 0;
                    led4 = 1;
                    break;
            }
            wait( poti );
        }   
    }
}